Page 1 of 1

Don't start on Ubuntu 16.04 Xenial

PostPosted: Tue May 03, 2016 5:35 pm
by vincen
Hi

Autopano Giga refuses to start on the new release of Unbutu, the 16.04 Xenial. There is a dependency issue I could resolve with symlink but there is a more serious problem with QT dependencies:

Code: Select all
vincen@portable-ubuntu:~$ AutopanoGiga
/usr/lib/AutopanoGiga/AutopanoGiga: symbol lookup error: /usr/lib/AutopanoGiga/libQt5Core.so.5: undefined symbol: ucnv_getDefaultName_52
vincen@portable-ubuntu:~$


A way to avoid that problem ? or wait for an update of APG ? ;)

Vincèn

Re: Don't start on Ubuntu 16.04 Xenial

PostPosted: Wed May 04, 2016 9:02 am
by olivierbo
Hello,

Have you tried to install the tar.gz package?

Kind regards,
Olivier

Re: Don't start on Ubuntu 16.04 Xenial

PostPosted: Wed May 04, 2016 10:12 am
by vincen
olivierbo wrote:Have you tried to install the tar.gz package?

Code: Select all
vincen@portable-ubuntu:~/Bureau/AutopanoGiga$ ./AutopanoGiga
./AutopanoGiga: error while loading shared libraries: libKGFL_linux64.so: cannot open shared object file: No such file or directory
vincen@portable-ubuntu:~/Bureau/AutopanoGiga$

I made a quick search but didn't find any missing package in my distro about libKGFL :( Someting else to test ?

Re: Don't start on Ubuntu 16.04 Xenial

PostPosted: Fri Jun 03, 2016 9:49 pm
by dim
I have the same problem. Autopanopro need libicu52. In Xenial, it's libicu55!

Re: Don't start on Ubuntu 16.04 Xenial

PostPosted: Mon Jun 06, 2016 4:58 pm
by vincen
Problems corrected with latest beta of AVP ;)

Thanks Kolor :)

Re: Don't start on Ubuntu 16.04 Xenial  [SOLVED]

PostPosted: Fri Jun 10, 2016 8:23 am
by ClaireM
Hi guys,

This problem has indeed be solved in the latest version of AVP. In case you are not using AVP and only APG (or APP), here is what you can do to enable it on Ubuntu 16.04 :

The missing libraries are included in the *.tar.gz archive but not in the *.deb archive.
--> So if you want, you can download the tar.gz, uncompress it and use it straight from here with :
Code: Select all
sh path/to/targzarchive/AutopanoGiga.sh


--> If you still want to use the deb file, download the *.deb and install it. Download the tar.gz archive, uncompress it, locate the libraries named : libicudata.so.52, libicui18n.so.52, libicuuc.so.52 and copy them into /usr/lib/AutopanoGiga
(or /usr/lib/AutopanoPro for the standard version ).

To have the right copy permissions, do it through a terminal with :
Code: Select all
sudo cp path/to/targz/archive/libicu* /usr/lib/AutopanoGiga


And Autopano should work like a charm....

Sorry for the inconvenience,

Best,

Claire